{% extends 'layout.html.twig' %}

{% block title %}TWIM Word - Buy the word{% endblock %}

{% block body_id 'desktop_buy_word' %}

{% block body %}

    <input type="hidden" id="hdn-js-alert" value="{{ 'create.transaction.alert.text'|trans({}, 'frontends') }}">

    {#{{ dump(wordName) }}#}

    <div id="dv-flow-optionals" class="row mt-4 mb-4" {#style="display: none;"#}>
        <div class="col text-left">
            <span id="spn_bw_choose_word_opt" class="text-primary"><strong>{{ 'choose.word.title'|trans({}, 'frontends')|upper }}</strong></span>
        </div>
        <div class="col text-center">
            <span id="spn_bw_choose_opts" class="text-muted"><strong>{{ 'optionals.title'|trans({}, 'frontends')|upper }}</strong></span>
        </div>
        {#<div class="col text-center">
            <span id="spn_bw_certificate" class="text-muted"><strong>{{ 'certificate.title'|trans({}, 'frontends')|upper }}</strong></span>
        </div>#}
        <div class="col text-right">
            <span id="spn_bw_checkout_opt" class="text-muted"><strong>{{ 'checkout.title'|trans({}, 'frontends')|upper }}</strong></span>
        </div>
    </div>

    {#<div id="dv-flow-packages" class="row mt-4 mb-4" style="display: none;">
        <div class="col text-left">
            <span id="spn_bw_choose_word_pack" class="text-primary"><strong>{{ 'choose.word.title'|trans({}, 'frontends')|upper }}</strong></span>
        </div>
        <div class="col text-center">
            <span id="spn_bw_choose_packs" class="text-muted"><strong>{{ 'add.preset.title'|trans({}, 'frontends')|upper }}</strong></span>
        </div>
        <div class="col text-right">
            <span id="spn_bw_checkout_pack" class="text-muted"><strong>{{ 'checkout.title'|trans({}, 'frontends')|upper }}</strong></span>
        </div>
    </div>#}


    <div class="card shadow p-3 mb-5 bg-white rounded">
        <div class="card-body">

            {% if errors is defined and errors.general is defined %}
                <p>
                    <span class="bsp-err-spn invalid-feedback d-block">
                        <span class="d-block">
                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                            <span class="form-error-message">
                                {{ errors.general }}
                            </span>
                        </span>
                    </span>
                </p>
            {% endif %}

            <form id="form-buy-word" action="{{ url('edit_profile_settings', {'username':user.username}) }}" method="post">

                <div id="bw-step-choose-word">

                    <div class="h3">{{ 'choose.word.title'|trans({}, 'frontends') }}</div>
                    <p class="h5 text-muted">{{ 'choose.word.text'|trans({}, 'frontends') }}</p>

                    <div class="cls_bw_g_err"></div>

                    <div class="row">
                        <div class="col">

                            {# the argument of csrf_token() is an arbitrary value used to generate the token #}
                            <input id="bw-hdn-token-1" type="hidden" name="token" value="{{ csrf_token('hm_word_inp_to_buy') }}" />

                            <div class="form-group mt-3">
                                <label for="bw_word_name" class="required">
                                    <span>{{ 'your.word.label'|trans({}, 'frontends') }}</span>
                                </label>
                                <input type="text" id="bw_word_name" value="{{ wordName is defined ? wordName }}" class="form-control cls-check-validate-word" name="word_name"
                                       data-url-validate="{{ url('only_word_post_validation') }}" data-id-error="bw_word_name" maxlength="80" pattern=".{2,}" autofocus required>
                                <div class="text-success rsp-txt-validate-word">
                                    <small>{{ 'sentence.word.available.form'|trans({'%username%':user.username}, 'frontends')|raw }}</small>
                                </div>
                            </div>


                            <label for="bw_word_value">
                                <span>{{ 'value.your.word.label'|trans({},'frontends') }}</span>
                            </label>
                            <div class="clearfix float-right">
                                <small><span class="text-muted">{{ 'king.word.value'|trans({'%value%':kingWordValue}, 'frontends')|raw }}</span></small>
                            </div>

                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fas fa-dollar-sign"></i></span>
                                </div>
                                <input type="number" id="bw_word_value" name="word_value" value="{{ wordDefaultValue ? wordDefaultValue : 10 }}" min="{{ wordDefaultValue ? wordDefaultValue : 10 }}" class="form-control cls-check-validate-word-value"
                                       aria-label="Amount (to the nearest dollar)" data-id-error="bw_word_value" data-url-validate="{{ url('only_word_value_validation') }}" required>
                            </div>

                        </div>
                    </div>


                    {% include 'Desktop/PurchasingBundle/Transaction/_preview_word.html.twig' %}


                    <div class="row mt-5">
                        <div class="col">
                            <div>
                                {#<button type="button" id="btn-go-to-options" class="btn btn-secondary btn-lg">{{ 'customize.label'|trans({}, 'frontends') }}</button>#}
                                {#<button type="button" id="btn-go-to-packages" class="btn btn-secondary btn-lg">{{ 'or.add.preset.label'|trans({}, 'frontends') }}</button>#}
                                <div class="clearfix float-right">
                                    <button type="button" id="btn-go-to-options" class="btn btn-primary btn-lg">{{ 'customize.label'|trans({}, 'frontends') }}</button>
                                    {#<button type="button" class="btn-go-to-checkout btn btn-primary btn-lg">{{ 'checkout.title'|trans({}, 'frontends') }}</button>#}
                                </div>
                            </div>

                        </div>
                    </div>

                </div> {# END FIRST STEP #}


                {% include 'Desktop/UserBundle/ShippingAddress/Modal/_manage.html.twig' %}
                {% include 'Desktop/UserBundle/ShippingAddress/Modal/_delete.html.twig' %}


                {% include 'Desktop/UserBundle/ShippingAddress/Modal/_save.html.twig' %}


                {# Include Optionals Flow #}
                {% include 'Desktop/PurchasingBundle/Transaction/_optional_steps.html.twig' %}

                {# Include Packages Flow #}
                {#{% include 'Desktop/PurchasingBundle/Transaction/_package_steps.html.twig' %}#}

                {# Include checkout #}
                {% include 'Desktop/PurchasingBundle/Transaction/_checkout.html.twig' %}


            </form>

        </div>
    </div>

{% endblock %}


{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('build/js/purchasing_transaction.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('build/js/purchasing_transaction.js') }}"></script>
    <script src="{{ asset('build/js/addresses.js') }}"></script>
    <script src="{{ asset('build/js/paypal.js') }}"></script>
{% endblock %}